> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add products to price book

> Add products to a price book by copying their default price configurations.



## OpenAPI

````yaml post /v1/price-books/{id}/products
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/price-books/{id}/products:
    post:
      tags:
        - Price books
      summary: Add products to price book
      description: >-
        Add products to a price book by copying their default price
        configurations.
      operationId: addProductsToPriceBook
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        description: Product IDs to add.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddProductsToPriceBook'
      responses:
        '204':
          description: Products added to price book.
        '404':
          description: Price book not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    AddProductsToPriceBook:
      type: object
      properties:
        product_ids:
          type: array
          items:
            type: string
          description: List of product IDs to add to the price book.
      required:
        - product_ids
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````